# Method: logicalProducts.list

- [HTTP request](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts/list#body.HTTP_TEMPLATE)
- [Query parameters](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts/list#body.request_body)
- [Response body](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts/list#body.ListLogicalProductsResponse.SCHEMA_REPRESENTATION)

Lists LogicalProducts matching given criteria.

### HTTP request

`GET https://cloudproductregistry.googleapis.com/v1/logicalProducts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Optional. The filter expression for listing logical products. Filter syntax: <https://google.aip.dev/160> Supported fields: suite_id |
| `pageSize` | `integer` Optional. The maximum number of logical products to return. The service may return fewer than this value. If unspecified, at most 100 logical products will be returned. The maximum value is 500; values above 500 will be coerced to 500. |
| `pageToken` | `string` Optional. A page token, received from a previous `logicalProducts.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `logicalProducts.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for logicalProducts.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "logicalProducts": [ { object (`https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts#LogicalProduct`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `logicalProducts[]` | ``object (`https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts#LogicalProduct`)`` Matched LogicalProducts |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |